Subject: Re: cygwin 1.3.19-1 file permission out of sync with NTFS on XP?
From: Andrew Chang <[email-masked]>
To: "Max Bowsher" <[email-masked]>
Cc: "Elfyn McBratney" <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 3 Feb 2003 13:25:02 -0800

On Monday 03 February 2003 12:03 pm, Max Bowsher wrote:
> Andrew Chang wrote:
> > I have a situation in which a cygwin app created a file, chmod it to
> > readonly.
> > then we have a win32 app chomd the same file to writable (0644).
> > In cygiwn 1.3.12, the new write permission would show up in the
> > cygwin "ls -l" command. In cygwin 1.3.19-1, the write permission is
> > not visible in cygwin "ls -l", but if I go to the Explorer, it would
> > show the file as writable.
> > Originally I thought is was a cache delay problem, but it never
> > caught up.
> > Rebooting XP does not help either.
> >
> >
> > Did the permission code changed somewhere between cygwin 1.3.12 and
> > 1.3.19-1 ?
> > It there something I can do to make them sync up again ?
> > (Note: I also tried "CYGWIN=ntsec", it does not help).
>
> Ntsec is ON by default now. Did your /etc/passwd and investigate
> CYGWIN=nontsec.
>
>
> Max.

Max and Elfyn.

"CYGWIN=nontsec" did the trick
Thanks you both for the help.

Andrew

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/